#ifndef __EditMainWin_H__
#define __EditMainWin_H__


#include <iframe.hpp>
#include <imle.hpp>
#include <icmdhdr.hpp>
#include <istring.hpp>
#include <itbar.hpp>
#include <itbarbut.hpp>
#include <iinfoa.hpp>
#include <iflyhhdr.hpp>
#include <iflytext.hpp>


class EditToolBarSet:public IToolBar{

public:
  EditToolBarSet(IFrameWindow *wnd);
  ~EditToolBarSet();

protected:
  IInfoArea            area;

  IToolBarButton       bLoad,
                       bSave;

  IFlyText             flytext;
  IFlyOverHelpHandler  flyHand;

};

class Editor:public ICommandHandler{

public:
  Editor();
  ~Editor();


protected:
  Boolean        command(ICommandEvent &event);

  IFrameWindow   *frame;
  IMultiLineEdit *editwin;
  IString        FileName;

  EditToolBarSet *toolbar;
};



#endif
